Subject: Re: bug#2548: 23.0.60; doc-view: unexpected reuse of previously scaled image

From: Tassilo Horn <[email-masked]>
Date: Tue, 03 Mar 2009 12:54:34 +0100

Markus Triska <[email-masked]> writes:

Hi Markus,

> With p.ps from:
>
>    http://www.logic.at/prolog/p.ps
>
> when I do:
>
>    $ emacs -Q p.ps
>
> and press:
>
>    C-c C-c - - - - - - -
>
> the image shrinks, as expected. Then, when I quit Emacs and again do:
>
>    $ emacs -Q p.ps
>
> followed by C-c C-c, doc-view unexpectedly shows the small version
> from the previous run.

That's no bug.  When you fire up emacs again doc-view uses the cached
files, which are the small ones now.

> When I then press "-", it "shrinks" the image so that the result is in
> fact larger than the just displayed image.

Yeah, cause the resulution factor is at the default value again and
doc-view reconverts the doc using this default value x 0.95 or so.

I'm closing that "bug".

Bye,
Tassilo